## Text Encoding Initiative

### The XML Version of the TEI Guidelines

# <fsdDecl>

`<fsdDecl>` | (FSD (feature-system declaration) declaration) identifies the feature system declaration which contains definitions for a particular type of feature structure.

Attributes

(In addition to global attributes)

`type` | identifies the type of feature structure documented in the FSD; this will be the value of the `type` attribute on at least one feature structure.
| Datatype: CDATA
| Values: any string of characters.
| Default: #REQUIRED

Example:

Note | If better validation is required, the global `id` attribute may be used to specify the type instead of this attribute; in such a case, the name must be a valid identifier.

`fsd` | (feature-system declaration) specifies the external entity containing the feature system declaration; an entity declaration in the document's DTD subset must associate the entity name with a file on the system.
| Datatype: ENTITY
| Values: a valid external entity name
| Default: #REQUIRED

Example:

Example

    <encodingDesc><!-- ... -->
       <fsdDecl type="GPSG" fsd="fsdGazdar"/>
       <fsdDecl type="entry" fsd="fsdLexicon"/>
       <fsdDecl type="subentry" fsd="fsdLexicon"/><!-- ... -->
    </encodingDesc>

Module Declared in file teihdr2; Additional tag set for feature structures: enabled by TEI.fs
Data Description Empty.
May occur within encodingDesc
Declaration

    <!ELEMENT fsdDecl %om.RO;  EMPTY>
    <!ATTLIST fsdDecl
          %a.global;
          type CDATA #REQUIRED
          fsd ENTITY #REQUIRED>

See further 5.3.7 The Feature System Declaration; 26 Feature System Declaration

Up: 35 Elements